# CallbackResultSpriteGroup Struct Reference

Inheritance diagram for CallbackResultSpriteGroup:

## Public Member Functions
| CallbackResultSpriteGroup (uint16 value)
| Creates a spritegroup representing a callback result.
uint16 | GetCallbackResult () const
## Data Fields
uint16 | result

## Detailed Description

Definition at line 223 of file newgrf_spritegroup.h.

## Constructor & Destructor Documentation

CallbackResultSpriteGroup::CallbackResultSpriteGroup | ( | uint16 | value | ) | `[inline]`

Creates a spritegroup representing a callback result.

Parameters:

  | value | The value that was used to represent this callback result

Definition at line 228 of file newgrf_spritegroup.h.

The documentation for this struct was generated from the following file:

- src/newgrf_spritegroup.h